Page MenuHomePhabricator

index: Add color classes and text classes.
ClosedPublic

Authored by CHAN on Dec 22 2015, 11:58 PM.

Details

Summary

The following new color classes and text classes
for index widget are added.

"index_bg", "Index Background"
"index_item_bg", "Index Item Background"
"index_highlight_text," "Index Highlight Text"
"index_item_text," "Index Items Text"
"index_item_text_selected," "Index Selected Items Text"

@feature

Diff Detail

Repository
rELM core/elementary
Branch
master
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 919
Build 984: arc lint + arc unit
CHAN updated this revision to Diff 7951.Dec 22 2015, 11:58 PM
CHAN retitled this revision from to index: Add color classes and text classes..
CHAN updated this object.
CHAN edited the test plan for this revision. (Show Details)
CHAN updated this object.Dec 23 2015, 1:14 AM
CHAN added reviewers: raster, cedric, Hermet, kimcinoo, woohyun.
CHAN updated this object.
CHAN added subscribers: id213sin, eagleeye, SanghyeonLee.
cedric accepted this revision.Jan 4 2016, 2:40 PM
cedric edited edge metadata.
This revision is now accepted and ready to land.Jan 4 2016, 2:40 PM
cedric closed this revision.Jan 4 2016, 2:40 PM
jpeg added a subscriber: jpeg.Apr 6 2016, 12:30 AM

@cedric and @CHAN please be careful about compiler warnings! There was a missing initializer warning (with clang) because of this commit, since the , was INSIDE the string, instead of separating the strings.
It shows that this commit clearly has not even been tested. :(

src/lib/elm_config.c
99

AAARRRRGHL! There's a major typo here.